Package org.apache.commons.mail

# Class EmailConstants

java.lang.Object
org.apache.commons.mail.EmailConstants

public final class EmailConstants extends Object
Constants used by Email classes. A description of the mail session parameter you find at http://java.sun.com/products/javamail/javadocs/com/sun/mail/smtp/package-summary.html.

Since:
  1.3

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTACHMENTS`
  Deprecated.
  since 1.3, not in use since 1.0
  `static final String`
  `CONTENT_TYPE`
  Deprecated.
  since 1.3, not in use since 1.0
  `static final String`
  `EMAIL_BODY`
  Deprecated.
  since 1.3, not in use since 1.0
  `static final String`
  `EMAIL_SUBJECT`
  Deprecated.
  since 1.3, not in use since 1.0
  `static final String`
  `FILE_SERVER`
  Deprecated.
  since 1.3, not in use since 1.0
  `static final String`
  `ISO_8859_1`
  Charset constant for iso-8859-1
  `static final String`
  `KOI8_R`
  Charset constant for koi8-r
  `static final String`
  `MAIL_DEBUG`
  The debug mode to be used.
  `static final String`
  `MAIL_FROM`
  The from email address.
  `static final String`
  `MAIL_HOST`
  The host name of the mail server.
  `static final String`
  `MAIL_MIME_CHARSET`
  Defines the default mime charset to use when none has been specified for the message.
  `static final String`
  `MAIL_PORT`
  The port number of the mail server.
  `static final String`
  `MAIL_SMTP_AUTH`
  If set to true, tries to authenticate the user using the AUTH command.
  `static final String`
  `MAIL_SMTP_CONNECTIONTIMEOUT`
  Socket connection timeout value in milliseconds.
  `static final String`
  `MAIL_SMTP_FROM`
  The email address to use for SMTP MAIL command.
  `static final String`
  `MAIL_SMTP_PASSWORD`
  The SMTP password.
  `static final String`
  `MAIL_SMTP_SEND_PARTIAL`
  If set to true, and a message has some valid and some invalid addresses, send the message anyway, reporting the partial failure with a SendFailedException.
  `static final String`
  `MAIL_SMTP_SOCKET_FACTORY_CLASS`
  Specifies the `SocketFactory` class to create smtp sockets.
  `static final String`
  `MAIL_SMTP_SOCKET_FACTORY_FALLBACK`
  Whether to use `Socket` as a fallback if the initial connection fails or not.
  `static final String`
  `MAIL_SMTP_SOCKET_FACTORY_PORT`
  Specifies the port to connect to when using a socket factory.
  `static final String`
  `MAIL_SMTP_SSL_CHECKSERVERIDENTITY`
  If set to true, check the server identity as specified in RFC 2595.
  `static final String`
  `MAIL_SMTP_SSL_ENABLE`
  If set to true, use SSL to connect and use the SSL port by default.
  `static final String`
  `MAIL_SMTP_SSL_SOCKET_FACTORY_CLASS`
  Specifies the `SSLSocketFactory` class to use to create SMTP SSL sockets.
  `static final String`
  `MAIL_SMTP_SSL_SOCKET_FACTORY_PORT`
  Specifies the port to connect to when using the SMTP SSL socket factory.
  `static final String`
  `MAIL_SMTP_TIMEOUT`
  Socket I/O timeout value in milliseconds.
  `static final String`
  `MAIL_SMTP_USER`
  The SMTP user name.
  `static final String`
  `MAIL_SMTPS_SEND_PARTIAL`
  If set to true, and a message has some valid and some invalid addresses, send the message anyway, reporting the partial failure with a SendFailedException.
  `static final String`
  `MAIL_TRANSPORT_PROTOCOL`
  Specifies the default transport protocol
  `static final String`
  `MAIL_TRANSPORT_STARTTLS_ENABLE`
  Indicates if the STARTTLS command shall be used to initiate a TLS-secured connection.
  `static final String`
  `MAIL_TRANSPORT_STARTTLS_REQUIRED`
  If true, requires the use of the STARTTLS command.
  `static final String`
  `MAIL_TRANSPORT_TLS`
  Deprecated.
  since 1.3
  `static final String`
  `RECEIVER_EMAIL`
  Deprecated.
  since 1.3, not in use since 1.0
  `static final String`
  `RECEIVER_NAME`
  Deprecated.
  since 1.3, not in use since 1.0
  `static final String`
  `SENDER_EMAIL`
  Deprecated.
  since 1.3, not in use since 1.0
  `static final String`
  `SENDER_NAME`
  Deprecated.
  since 1.3, not in use since 1.0
  `static final String`
  `SMTP`
  The value to use SMTP as transport protocol
  `static final Duration`
  `SOCKET_TIMEOUT`
  Default socket timeout.
  `static final int`
  `SOCKET_TIMEOUT_MS`
  Deprecated.
  Use `SOCKET_TIMEOUT`.
  `static final String`
  `TEXT_HTML`
  Defines the text/html content type
  `static final String`
  `TEXT_PLAIN`
  Defines the text/plain content type
  `static final String`
  `TEXT_SUBTYPE_HTML`
  Defines the html subtype
  `static final String`
  `US_ASCII`
  Charset constant for us-ascii
  `static final String`
  `UTF_8`
  Charset constant for utf-8

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SENDER_EMAIL

    @Deprecated public static final String SENDER_EMAIL
    Deprecated.
    since 1.3, not in use since 1.0
    See Also:
      - Constant Field Values

  - ### SENDER_NAME

    @Deprecated public static final String SENDER_NAME
    Deprecated.
    since 1.3, not in use since 1.0
    See Also:
      - Constant Field Values

  - ### RECEIVER_EMAIL

    @Deprecated public static final String RECEIVER_EMAIL
    Deprecated.
    since 1.3, not in use since 1.0
    See Also:
      - Constant Field Values

  - ### RECEIVER_NAME

    @Deprecated public static final String RECEIVER_NAME
    Deprecated.
    since 1.3, not in use since 1.0
    See Also:
      - Constant Field Values

  - ### EMAIL_SUBJECT

    @Deprecated public static final String EMAIL_SUBJECT
    Deprecated.
    since 1.3, not in use since 1.0
    See Also:
      - Constant Field Values

  - ### EMAIL_BODY

    @Deprecated public static final String EMAIL_BODY
    Deprecated.
    since 1.3, not in use since 1.0
    See Also:
      - Constant Field Values

  - ### CONTENT_TYPE

    @Deprecated public static final String CONTENT_TYPE
    Deprecated.
    since 1.3, not in use since 1.0
    See Also:
      - Constant Field Values

  - ### ATTACHMENTS

    @Deprecated public static final String ATTACHMENTS
    Deprecated.
    since 1.3, not in use since 1.0
    See Also:
      - Constant Field Values

  - ### FILE_SERVER

    @Deprecated public static final String FILE_SERVER
    Deprecated.
    since 1.3, not in use since 1.0
    See Also:
      - Constant Field Values

  - ### KOI8_R

    public static final String KOI8_R
    Charset constant for koi8-r
    See Also:
      - Constant Field Values

  - ### ISO_8859_1

    public static final String ISO_8859_1
    Charset constant for iso-8859-1

  - ### US_ASCII

    public static final String US_ASCII
    Charset constant for us-ascii

  - ### UTF_8

    public static final String UTF_8
    Charset constant for utf-8

  - ### MAIL_DEBUG

    public static final String MAIL_DEBUG
    The debug mode to be used.
    See Also:
      - Constant Field Values

  - ### MAIL_HOST

    public static final String MAIL_HOST
    The host name of the mail server.
    See Also:
      - Constant Field Values

  - ### MAIL_PORT

    public static final String MAIL_PORT
    The port number of the mail server.
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_FROM

    public static final String MAIL_SMTP_FROM
    The email address to use for SMTP MAIL command.
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_AUTH

    public static final String MAIL_SMTP_AUTH
    If set to true, tries to authenticate the user using the AUTH command.
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_USER

    public static final String MAIL_SMTP_USER
    The SMTP user name.
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_PASSWORD

    public static final String MAIL_SMTP_PASSWORD
    The SMTP password.
    See Also:
      - Constant Field Values

  - ### MAIL_TRANSPORT_PROTOCOL

    public static final String MAIL_TRANSPORT_PROTOCOL
    Specifies the default transport protocol
    See Also:
      - Constant Field Values

  - ### SMTP

    public static final String SMTP
    The value to use SMTP as transport protocol
    See Also:
      - Constant Field Values

  - ### TEXT_HTML

    public static final String TEXT_HTML
    Defines the text/html content type
    See Also:
      - Constant Field Values

  - ### TEXT_SUBTYPE_HTML

    public static final String TEXT_SUBTYPE_HTML
    Defines the html subtype
    See Also:
      - Constant Field Values

  - ### TEXT_PLAIN

    public static final String TEXT_PLAIN
    Defines the text/plain content type
    See Also:
      - Constant Field Values

  - ### MAIL_TRANSPORT_TLS

    @Deprecated public static final String MAIL_TRANSPORT_TLS
    Deprecated.
    since 1.3
    See Also:
      - Constant Field Values

  - ### MAIL_TRANSPORT_STARTTLS_ENABLE

    public static final String MAIL_TRANSPORT_STARTTLS_ENABLE
    Indicates if the STARTTLS command shall be used to initiate a TLS-secured connection.
    Since:
      1.1
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_SOCKET_FACTORY_FALLBACK

    public static final String MAIL_SMTP_SOCKET_FACTORY_FALLBACK
    Whether to use `Socket` as a fallback if the initial connection fails or not.
    Since:
      1.1
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_SOCKET_FACTORY_CLASS

    public static final String MAIL_SMTP_SOCKET_FACTORY_CLASS
    Specifies the `SocketFactory` class to create smtp sockets.
    Since:
      1.1
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_SOCKET_FACTORY_PORT

    public static final String MAIL_SMTP_SOCKET_FACTORY_PORT
    Specifies the port to connect to when using a socket factory.
    Since:
      1.1
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_CONNECTIONTIMEOUT

    public static final String MAIL_SMTP_CONNECTIONTIMEOUT
    Socket connection timeout value in milliseconds. Default is infinite timeout.
    Since:
      1.2
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_TIMEOUT

    public static final String MAIL_SMTP_TIMEOUT
    Socket I/O timeout value in milliseconds. Default is infinite timeout.
    Since:
      1.2
    See Also:
      - Constant Field Values

  - ### SOCKET_TIMEOUT

    public static final Duration SOCKET_TIMEOUT
    Default socket timeout.
    Since:
      1.6.0

  - ### SOCKET_TIMEOUT_MS

    @Deprecated public static final int SOCKET_TIMEOUT_MS
    Deprecated.
    Use `SOCKET_TIMEOUT`.
    Default socket timeout.
    Since:
      1.3
    See Also:
      - Constant Field Values

  - ### MAIL_TRANSPORT_STARTTLS_REQUIRED

    public static final String MAIL_TRANSPORT_STARTTLS_REQUIRED
    If true, requires the use of the STARTTLS command. If the server doesn't support the STARTTLS command, the connection will fail.
    Since:
      1.3
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_SSL_ENABLE

    public static final String MAIL_SMTP_SSL_ENABLE
    If set to true, use SSL to connect and use the SSL port by default.
    Since:
      1.3
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_SSL_CHECKSERVERIDENTITY

    public static final String MAIL_SMTP_SSL_CHECKSERVERIDENTITY
    If set to true, check the server identity as specified in RFC 2595.
    Since:
      1.3
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_SSL_SOCKET_FACTORY_CLASS

    public static final String MAIL_SMTP_SSL_SOCKET_FACTORY_CLASS
    Specifies the `SSLSocketFactory` class to use to create SMTP SSL sockets.
    Since:
      1.3
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_SSL_SOCKET_FACTORY_PORT

    public static final String MAIL_SMTP_SSL_SOCKET_FACTORY_PORT
    Specifies the port to connect to when using the SMTP SSL socket factory.
    Since:
      1.3
    See Also:
      - Constant Field Values

  - ### MAIL_SMTP_SEND_PARTIAL

    public static final String MAIL_SMTP_SEND_PARTIAL
    If set to true, and a message has some valid and some invalid addresses, send the message anyway, reporting the partial failure with a SendFailedException. If set to false (the default), the message is not sent to any of the recipients if there is an invalid recipient address.
    Since:
      1.3.2
    See Also:
      - Constant Field Values

  - ### MAIL_SMTPS_SEND_PARTIAL

    public static final String MAIL_SMTPS_SEND_PARTIAL
    If set to true, and a message has some valid and some invalid addresses, send the message anyway, reporting the partial failure with a SendFailedException. If set to false (the default), the message is not sent to any of the recipients if there is an invalid recipient address.
    Since:
      1.3.2
    See Also:
      - Constant Field Values

  - ### MAIL_MIME_CHARSET

    public static final String MAIL_MIME_CHARSET
    Defines the default mime charset to use when none has been specified for the message.
    Since:
      1.3.2
    See Also:
      - Constant Field Values

  - ### MAIL_FROM

    public static final String MAIL_FROM
    The from email address.
    Since:
      1.4
    See Also:
      - Constant Field Values